// AddPreviewToEPS_v11 for Adobe Illustrator CS+
// Version 1.3
// Copyright  2003-2007 Softfields Technologies


// Batch conversion of the files that can be opened/imported in Adobe Illustrator CS+
// to EPS files compatible with Adobe Illustrator CS.
// The conversion add built-in previews to converted files.

// NOTE. If to run this script from Adobe Illustrator 10, the source files will be
//       converted to EPS files compatible with Adobe Illustrator 10.


// Source folder (and its subfolders if necessary) must be selected in Batch dialog of Actions palette.


 var DestinationFolder=""; // Destination folder for converted files.
                           // Format: empty string ("") or Full path (e.g. "c:/Temp/EPS_v11")

// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!WARNING!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// if DestinationFolder is empty string (""), the converted files will be stored to the source folder!!!!!!

// if DestinationFolder is not empty and "Include All Subdirectories" checkbox of Batch dialog            !
// of Actions is turned on, all files from subfolders of source folder will be written to destination     !
// folder (subfolders for destination folder is not supported). At coincidence of names new file          !
// will replace existing file without any warnings.                                                       !

// For Adobe Illustrator 10 the converted files will ALWAYS replace old files without any warnings        !
// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


 if (documents.length > 0)
  {
    aDocument = activeDocument;
    EPSConvertOptions = new EPSSaveOptions();
    if (Number(scriptingVersion) < 11)
     EPSConvertOptions.compatibility = Compatibility.ILLUSTRATOR10;
    else
     EPSConvertOptions.compatibility = Compatibility.ILLUSTRATOR11;
    EPSConvertOptions.preview = EPSPreview.COLORTIFF;
    EPSConvertOptions.embedAllFonts = true;

    if (DestinationFolder.length > 0)
     documentPath = DestinationFolder + "/" + aDocument.name;
    else
     documentPath = aDocument.path + "/" + aDocument.name;

    theFile = new File(documentPath);
    aDocument.saveAs(theFile, EPSConvertOptions);
    if (Number(scriptingVersion) < 11)
     aDocument.close(2);
    else
     aDocument.close(EPSConvertOptions.DONOTSAVECHANGES);
    aDocument = null;
    EPSConvertOptions = null;
  } 

